// Do not remove the include below
#include <HardwareSerial.h>

#include "MeterBusPowerMaster.h"

#include "cmd.h"
#include "test.h"
#include "uptime.h"
#include "meterBusMaster.h"


static CmdServer cmdServer(&Serial);
static TestCmd testCmd;
static Uptime uptime;
static MeterBusMaster meterBusMaster;



void setup() {
  cmdServer.begin();
  testCmd.registerYourself(&cmdServer);
  uptime.begin(&cmdServer);
  meterBusMaster.begin(&cmdServer);


  Serial.println("Good afternoon, Sir!");
}

void loop() {
  cmdServer.exec();
  uptime.exec();
  meterBusMaster.exec();

}
